Summary: A GNU set of database routines which use extensible hashing.
Name: gdbm
Version: 1.8.0
Release: 1.0.3
Source: ftp://prep.ai.mit.edu/pub/gnu/gdbm-%{version}.tar.gz
Patch0: gdbm-1.8.0-jbj.patch
Copyright: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

%prep
%setup -q
%patch0 -p 1 -b .jbj

%build

# XXX --includedir dinna work
%configure
make CFLAGS="$RPM_OPT_FLAGS" includedir=%{_prefix}/include/gdbm

%install
rm -rf $RPM_BUILD_ROOT

# XXX --includedir dinna work
make install install-compat \
    prefix=${RPM_BUILD_ROOT}%{_prefix} \
    includedir=${RPM_BUILD_ROOT}%{_prefix}/include/gdbm

( cd $RPM_BUILD_ROOT
  ln -sf gdbm/gdbm.h .%{_prefix}/include/gdbm.h
  ln -sf libgdbm.so.2.0.0 .%{_prefix}/lib/libgdbm.so
  gzip -9nf .%{_prefix}/info/gdbm*info*
)

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_prefix}/lib/libgdbm.so.2*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.0, Release 1.0.3
  - more i386 fixes.


* Thu Jul 13 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "devel" package for Guaridian Digital Lockbox
